.App {
    text-align: center;
}

.App-header {
    background-color: rgba(11, 14, 14, 0.555);
    min-height: 30vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
}

.Text-centered {
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #282c34;
    margin-left: 20vh;
    margin-right: 20vh;
}

.set-of-images-with-text-hovering {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding-bottom: 20px;
}

.Room-image {
    width: 100%;
    max-height: 100%;
    object-fit: cover;
    margin: auto;
}

.Room-image-container {
    height: 500px;
    overflow: hidden;
}

.svgHouse-container {
    display: flex;
    justify-content: center;
    height: 720px;
}

/* For extra small devices (phones, 600px and down)*/

@media only screen and (max-width: 600px) {
    .Text-centered {
        margin-left: 5vh;
        margin-right: 5vh;
    }
    .svgHouse-container {
        height: auto;
    }
    .Room-image-container {
        height: auto !important;
    }
    .set-of-images-with-text-hovering {
        padding-bottom: 0;
        transform: translateY(-1%);
    }
}

/* Small devices (portrait tablets and large phones, 601px and up) */

@media only screen and (min-width: 601px) and (max-width: 768px) {
    .Text-centered {
        margin-left: 6.5vh;
        margin-right: 6.5vh;
    }
    .svgHouse-container {
        height: auto;
    }
    .Room-image-container {
        height: auto;
    }
    .set-of-images-with-text-hovering {
        padding-bottom: 0;
        transform: translateY(-1%);
    }
}

/* Medium devices (landscape tablets, 769px and up) */

@media only screen and (min-width: 769px) and (max-width: 992px) {
    .Text-centered {
        margin-left: 7vh;
        margin-right: 7vh;
    }
    .svgHouse-container {
        height: auto;
    }
    .Room-image-container {
        height: auto;
        max-height: 500px;
    }
    .set-of-images-with-text-hovering {
        padding-bottom: 0;
        transform: translateY(-2%);
    }
}

/* Large devices (laptops/desktops, 993px and up) */

@media only screen and (min-width: 993px) and (max-width: 1200px) {
    .Text-centered {
        margin-left: 14vh;
        margin-right: 14vh;
    }
    .svgHouse-container {
        height: auto;
    }
}

/* Extra large devices (large laptops and desktops, 1601px and up) */

@media only screen and (min-width: 1601px) {
    .set-of-images-with-text-hovering {
        padding-right: 10%;
        padding-left: 10%;
    }
    .svgHouse-container {
        height: auto;
    }
}